Subject: Re: [trill] My thoughts/corrections ->draft-ietf-trill-rfc6439bis-00.doc;

From: gayle noble <[email-masked]>
Date: Fri, 01 Jan 2016 12:10:36 -0800

My thoughts/corrections ->draft-ietf-trill-rfc6439bis-00.doc;

Acronyms used but not defined::

APPsub-TLV Application sub-Type-Length-Values

FS-CSNP    Flooding Scoped Complete Sequence Number Packet

FS-PSNP     Flooding Scoped Partial Sequence Number Packet

MTU            Maximum Transmission Unit

PDU             Protocol Data Unit

VLAN           Virtual Local-Area Network
=====================
corrections:
1.   Page 8 section 2.1 fourth paragraph point A first sentence
["E-L!CS" should be "E-L1CS"]
(as written)
   (A) The inclusion of one or more Appointed Forwarders sub-TLVs
       [RFC7176], Appointment Bitmap APPsub-TLVs (Section 10.2), or
       Appointment List APPsub-TLVs (Section 10.3) in E-L!CS LSPs it
       sends on a link.
(should be)
   (A) The inclusion of one or more Appointed Forwarders sub-TLVs
       [RFC7176], Appointment Bitmap APPsub-TLVs (Section 10.2), or
       Appointment List APPsub-TLVs (Section 10.3) in E-L1CS LSPs it
       sends on a link.
--------------------

2.   page 18   first paragraph
["simultaneously" spelt wrong]
These optimizations are a bit heuristic in that with some unlikely 
multiple changes in a bridged LAN that occur  simultnaeously [should 
be simultaneously] or nearly so the optimizations make transient 
looping more likely.
------------------------------------------

3.   page 19 second paragraph second sentence
["RBridge" is singular "are" is plural so should probably be "is" or 
"RBridges"]
(as written)
If an RBridge port sees a change in root Bridge ID from Root1 to 
Root2, it is safe to terminate root bridge inhibition on that port as 
soon as Hellos have been received on the port from all RBridges that 
can see Root1 or Root2 except any such RBridge that are no longer reachable.
(probably should be)
If an RBridge port sees a change in root Bridge ID from Root1 to 
Root2, it is safe to terminate root bridge inhibition on that port as 
soon as Hellos have been received on the port from all RBridges that 
can see Root1 or Root2 except any such RBridge that is no longer reachable.
------------------------------------------------

4.   Page 21 Third paragraph first sentence
["providing" should probably be "provided" based on the rest of the sentence ]
(as written)
  Two different encodings are providing above to optimize the listing 
of VLANs.
(should be)
  Two different encodings are provided above to optimize the listing of VLANs.
------------------------------------------------------------------
------------------------------------------------------------------

5.   Page 21 last paragraph first sentence
["AF bit" is singular "are" is plural sentence is weird :)]
(as written)
If the above mechanisms are used on a link, then each RBridge on the 
link MUST send Hellos in one or more VLANs with such VLANs Appointed 
sub-TLV(s) and/or self-appointment Appointed Forwarders sub-TLV(s), 
and the "AF" bit are appropriately set such that no VLAN inhibition 
timer will improperly expire unless three or more Hellos are lost.
(should probably be)
If the above mechanisms are used on a link, then each RBridge on the 
link MUST send Hellos in one or more VLANs with such VLANs Appointed 
sub-TLV(s) and/or self-appointment Appointed Forwarders sub-TLV(s), 
and the "AF" bit is appropriately set such that no VLAN inhibition 
timer will improperly expire unless three or more Hellos are lost.
(or re-write sentence)
     If the above mechanisms are used on a link, then each RBridge on 
the link MUST send Hellos in one or more VLANs such that no VLAN 
inhibition timer will improperly expire unless three or more Hellos 
are lost. Appropriately setting the "AF" bit in such Hellos and 
including VLANs Appointed sub-TLV(s) and/or self-appointment 
Appointed Forwarders sub-TLV(s) in such Hellos accomplishes this.
---------------------------------------------------------------------

6.   page 24 section 6.3 second paragraph first sentence
["P! " should be "P1"]
(as written)
If a failure of port P1 on RBridge RB2 is detected by RB2, then the 
Port-Shutdown message announcing this is sequentially unicast through 
the rest of the TRILL campus to all RBridges with which P! had an 
adjacency and which are advertising support for the Port-Shutdown 
RBridge Channel protocol.
(should be)
If a failure of port P1 on RBridge RB2 is detected by RB2, then the 
Port-Shutdown message announcing this is sequentially unicast through 
the rest of the TRILL campus to all RBridges with which P1 had an 
adjacency and which are advertising support for the Port-Shutdown 
RBridge Channel protocol.
--------------------------------------------------------------------

7.   page 25  second point
["eligiable." should be "eligible"]
(as written)
      - If an outer VLAN tag is present, it specified the designated 
VLAN for the link, SHOULD specify priority 7, and SHOULD NOT specify 
drop eligiable.
(should be)
      - If an outer VLAN tag is present, it specified the designated 
VLAN for the link, SHOULD specify priority 7, and SHOULD NOT specify 
drop eligible.
------------------------------------------------------

8.   page 25 section 6.5
["security" would read smoother as "secured"]
(as written)
   Port-Shutdown messages can be security through use of the Channel
   Tunnel security features [ChannelTunnel].
(Ids write)
   Port-Shutdown messages can be secured through use of the Channel
   Tunnel security features [ChannelTunnel].
--------------------------------------------------------------------

9.   page 27 last paragraph first sentence
["of" should be "on"]
(as written)
Depending of how the network is being managed, a transient 
inconsistency may not be a problem.
(should be)
Depending on how the network is being managed, a transient 
inconsistency may not be a problem.
---------------------------------------------
10. Page 32 last paragraph before 10.4 - only sentence in that paragraph

["originaed" should be "originated" ]
(as written)
This APPsub-TLV, when originaed by the DRB, appoints the TRILL switch 
with Appointee Nickname to be the Appointed Forwarder for the VLAN IDs listed.
(should be)
This APPsub-TLV, when originated by the DRB, appoints the TRILL 
switch with Appointee Nickname to be the Appointed Forwarder for the 
VLAN IDs listed.
-------------------------------------------------------------------

11. Page 40 last paragraph  formatting weird
[formatting weird ]
(as formatted)
   Changes to [RFC7177] are as follows:
    As provided in Section 6, TRILL switches SHOULD treat the
         reception of a Port-Shutdown RBridge Channel message from RB1
         listing port P1 as if it were an event A3 as specified in
         [RFC7177] resulting in transition of any adjacency to P1 to the
        Detect state.
(should be - in my opinion :)
   Changes to [RFC7177] are as follows:
As provided in Section 6, TRILL switches SHOULD treat the reception 
of a Port-Shutdown RBridge Channel message from RB1 listing port P1 
as if it were an event A3 as specified in RFC7177] resulting in 
transition of any adjacency to P1 to the Detect state.
------------------------------------------------
12. Page 41 first paragraph
["P!" should be "P1" - ]
(as written)
Assume that RBridges RB1 and RB2 have ports P! and P2, respectively, 
that are both on link L1 and that RBridges RB3 and RB4 have ports P3 
and P4, respectively, that are both on Link L2.
(should be)
Assume that RBridges RB1 and RB2 have ports P1 and P2, respectively, 
that are both on link L1 and that RBridges RB3 and RB4 have ports P3 
and P4, respectively, that are both on Link L2.
---------------------------------------------

13. page 41 second paragraph after the drawing eighth sentence
["an other" should probably be "any other"]
(as written)
The packet will loop indefinitely, because in native form on L1 and 
L2 it has no TRILL hop count, and an indefinitely large number of 
copies will be delivered to ES1 and an other end station so situated.
(should probably be)
The packet will loop indefinitely, because in native form on L1 and 
L2 it has no TRILL hop count, and an indefinitely large number of 
copies will be delivered to ES1 and any other end station so situated.
==============================
Confusion::
1.   page 25
[ I am totally lost trying to make sense out of "sends the same 
messages RBridge port on the link advertises support of the 
Port-Shutdown" What??  Should it be ---- sends the same messages "to 
the" RBridge port on the link "that" advertises support of the 
Port-Shutdown RBridge Channel protocol?? If not what does this mean??? ]
(as wriiten)
  If a port shutdown is planned within one second, then the TRILL 
switch ceases to send Hellos out the port being shut down and either

  (1) sends the same messages RBridge port on the link advertises
   support of the Port-Shutdown RBridge Channel protocol, broadcasts the
   Port-Shutdown message announcing this through the port as follows:
(I think it should be more like)
  If a port shutdown is planned within one second, then the TRILL 
switch ceases to send Hellos out the port being shut down and either
(1) sends Port-Shutdown messages to RBridge ports on the link 
advertising support of the Port-Shutdown RBridge Channel protocol, or 
(2) broadcasts the Port-Shutdown message announcing this through the 
port as follows:

------------------------------------------------------
GOOFY Thoughts >*grin*<
page 14
If such mapping within a link was allowed and occurred on two or more 
links so that there was a cycle of VLAN mappings, a multi-destination 
frame would loop forever. "These are called Vampire frames" or "Such 
a frame would be immortal." . For a specific example, see Appendix C.

---

From: Donald Eastlake <[email-masked]>
Date: Sat, 2 Jan 2016 14:58:50 -0500

Hi Gayle,

Happy New Year!

Thanks for these comments.  I think I pretty much agree with all of them
and will revise the draft.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Fri, Jan 1, 2016 at 3:10 PM, gayle noble <[email-masked]> wrote:

> FS-CSNP    Flooding Scoped
> *Complete Sequence Number Packet *
> FS-PSNP     Flooding Scoped
> *Partial Sequence Number Packet *
> multiple changes in a bridged LAN that occur simultnaeously [should be
> simultaneously] or nearly so the optimizations make transient looping
> more likely.
> If an RBridge port sees a change in root Bridge ID from Root1 to Root2, it
> is safe to terminate root bridge inhibition on that port as soon as Hellos
> have been received on the port from all RBridges that can see Root1 or
> Root2 except any such RBridge that are no longer reachable.
> (probably should be)
> If an RBridge port sees a change in root Bridge ID from Root1 to Root2, it
> is safe to terminate root bridge inhibition on that port as soon as Hellos
> have been received on the port from all RBridges that can see Root1 or
> Root2 except any such RBridge that is no longer reachable.
>  Two different encodings are providing above to optimize the listing of
> VLANs.
> (should be)
> If the above mechanisms are used on a link, then each RBridge on the link
> MUST send Hellos in one or more VLANs with such VLANs Appointed sub-TLV(s)
> and/or self-appointment Appointed Forwarders sub-TLV(s), and the "AF" bit
> are appropriately set such that no VLAN inhibition timer will improperly
> expire unless three or more Hellos are lost.
> (should probably be)
> If the above mechanisms are used on a link, then each RBridge on the link
> MUST send Hellos in one or more VLANs with such VLANs Appointed sub-TLV(s)
> and/or self-appointment Appointed Forwarders sub-TLV(s), and the "AF" bit
> is appropriately set such that no VLAN inhibition timer will improperly
> expire unless three or more Hellos are lost.
> (or re-write sentence)
> link MUST send Hellos in one or more VLANs such that no VLAN inhibition
> Appropriately setting the "AF" bit in such Hellos and including VLANs
> Appointed sub-TLV(s) and/or self-appointment Appointed Forwarders
> sub-TLV(s) in such Hellos accomplishes this.
> Port-Shutdown message announcing this is sequentially unicast through the
> rest of the TRILL campus to all RBridges with which P! had an adjacency
> and which are advertising support for the Port-Shutdown RBridge Channel
> protocol.
> (should be)
> Port-Shutdown message announcing this is sequentially unicast through the
> rest of the TRILL campus to all RBridges with which P1 had an adjacency
> and which are advertising support for the Port-Shutdown RBridge Channel
> protocol.
>      - If an outer VLAN tag is present, it specified the designated VLAN
> for the link, SHOULD specify priority 7, and SHOULD NOT specify drop
> eligiable.
> (should be)
>      - If an outer VLAN tag is present, it specified the designated VLAN
> for the link, SHOULD specify priority 7, and SHOULD NOT specify drop
> eligible.
> Depending of how the network is being managed, a transient inconsistency
> may not be a problem.
> (should be)
> Depending on how the network is being managed, a transient inconsistency
> may not be a problem.
> This APPsub-TLV, when originated by the DRB, appoints the TRILL switch
> As provided in Section 6, TRILL switches SHOULD treat the reception of a
> Port-Shutdown RBridge Channel message from RB1 listing port P1 as if it
> were an event A3 as specified in RFC7177] resulting in transition of any
> adjacency to P1 to the Detect state.
> Assume that RBridges RB1 and RB2 have ports P! and P2, respectively, that
> are both on link L1 and that RBridges RB3 and RB4 have ports P3 and P4,
> respectively, that are both on Link L2.
> (should be)
> Assume that RBridges RB1 and RB2 have ports P1 and P2, respectively, that
> are both on link L1 and that RBridges RB3 and RB4 have ports P3 and P4,
> respectively, that are both on Link L2.
> The packet will loop indefinitely, because in native form on L1 and L2 it
> has no TRILL hop count, and an indefinitely large number of copies will be
> delivered to ES1 and an other end station so situated.
> (should probably be)
> The packet will loop indefinitely, because in native form on L1 and L2 it
> has no TRILL hop count, and an indefinitely large number of copies will be
> delivered to ES1 and any other end station so situated.
> [ I am totally lost trying to make sense out of "sends the same messages
> RBridge port on the link advertises support of the Port-Shutdown" What??
> Should it be ---- sends the same messages "to the" RBridge port on the link
> "that" advertises support of the Port-Shutdown RBridge Channel protocol??
> If not what does this mean??? ]
> (as wriiten)
>  If a port shutdown is planned within one second, then the TRILL switch
> ceases to send Hellos out the port being shut down and either
>
>  If a port shutdown is planned within one second, then the TRILL switch
> ceases to send Hellos out the port being shut down and either
> (1) sends Port-Shutdown messages to RBridge ports on the link advertising
> support of the Port-Shutdown RBridge Channel protocol, or (2) broadcasts
> the Port-Shutdown message announcing this through the port as follows:
>
> links so that there was a cycle of VLAN mappings, a multi-destination frame
> would loop forever. "These are called Vampire frames" or "Such a frame
> would be immortal." . For a specific example, see Appendix C.
>
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill
>
>